VMPK(1)

NAME
vmpk - Virtual MIDI Piano Keyboard

SYNOPSIS

vmpk [Standard options...]

DESCRIPTION

This manual page documents briefly the vmpk program.

This program has standard Qt programs options.

Virtual MIDI Piano Keyboard is a MIDI events generator and receiver. It doesn't produce any sound by itself, but can be used to drive a MIDI synthesizer (either hardware or software, internal or external). You can use the computer's keyboard to play MIDI notes, and also the mouse. You can use the Virtual MIDI Piano Keyboard to display the played MIDI notes from another instrument or MIDI file player.

OPTIONS

-style=style
    sets the application GUI style. Possible values are motif, windows, and platinum. If you compiled Qt with additional styles or have additional styles as plugins these will be available to the -style command line option

-stylesheet=stylesheet
    sets the application styleSheet. The value must be a path to a file that contains the Style Sheet. Note: Relative URLs in the Style Sheet file are relative to the Style Sheet file's path.

-session=session
    restores the application from an earlier session.

-widgetcount
    prints debug message at the end about number of widgets left undestroyed and maximum number of widgets existed at the same time

-reverse
    sets the application's layout direction to Qt::RightToLeft

-graphicssystem
    sets the backend to be used for on-screen widgets and QPixmaps. Available options are raster and opengl.

-display display
    sets the X display (default is $DISPLAY).

-geometry geometry
    sets the client geometry of the first window that is shown.

-fn|-font font
    defines the application font. The font should be specified using an X logical font description.

-bg|-background color
    sets the default background color and an application palette (light and dark shades are calculated).

-fg|-foreground color
    sets the default foreground color.

-btn|-button color
    sets the default button color.

-name name
    sets the application name.

-title title
    sets the application title.

-visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display.

-ncols count
    limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification. If count is 216 then a 6x6x6 color cube is used (i.e. 6 levels of red, 6 of green, and 6 of blue); for other values, a cube approximately proportional to a 2x3x1 cube is used.

-cmap
    causes the application to install a private color map on an 8-bit display.

-im
    sets the input method server (equivalent to setting the XMODIFIERS environment variable)

-inputstyle
    defines how the input is inserted into the given widget, e.g., onTheSpot makes the input appear directly in the widget, while overTheSpot makes the input appear in a box floating over the widget and is not inserted until the editing is done.

LICENSE

This manual page was written by Mehdi Dogguy <dogguy@pps.jussieu.fr> for the Debian GNU/Linux system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or any later version published by the Free Software Foundation; considering as source code all the file that enable the production of this manpage.

AUTHOR

Mehdi Dogguy <dogguy@pps.jussieu.fr>

COPYRIGHT
Copyright © 2009 Mehdi Dogguy